
#include "interpolate.h"

main (int argc, char **argv) {
    FILE *ifile;
    FILE *ofile;
    char *dbuf;
    int msPerPacket, bytesPerPacket, i, seqno, filesize, size;
    int samplesPerPacket;
    int hist [32], j;
    short  *samples;
    int strategy = REPAIR_STRATEGY;
    msPerPacket = MS_PER_PACKET;
    samplesPerPacket = bytesPerPacket / 2;
    init_dct (samplesPerPacket);

    #ifdef PRINTHIST
    for (j = 0; j < 32; j++) {
        hist[j] = 0;
    }

    #endif
    dbuf = malloc (bytesPerPacket);
    for (i = 0; i < filesize / bytesPerPacket; i++) {
        printf ("%d ", i);
        fflush (stdout);
        size = fread (dbuf, 1, bytesPerPacket, ifile);
        if (size < bytesPerPacket) {
            printf ("EOF\n");
            exit (1);
        }

        #ifdef PRINTHIST
        samples = (unsigned  short  *) dbuf;
        for (j = 0; j < bytesPerPacket / 2; j++) {
            hist[(samples[j] / 2048) + 16]++;
        }

        #endif
        send_packet (seqno ++, bytesPerPacket, dbuf, ofile, & strategy);
    }

    #ifdef PRINTHIST
    for (j = 0; j < 32; j++) {
        printf ("%d: %d\n", j - 16, hist [j]);
    }

    #endif
}

