#!/bin/bash

cd ../Host_BENEFICIARY/cflow-1.4/src

rm -r -f AugmentedRegressionLogs
mkdir AugmentedRegressionLogs


timeout 30 ./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree --verbose *.c > test0.out
timeout 30 /usr/bin/cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree --verbose *.c > test0Oracle.out



timeout 30 ./cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree --verbose -o test1.out *.c
timeout 30 /usr/bin/cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree --verbose -o test1Oracle.out *.c




timeout 30 ./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree -o test2.out *.c
timeout 30 /usr/bin/cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree -o test2Oracle.out *.c



timeout 30 ./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level -o test3.out *.c
timeout 30 /usr/bin/cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level -o test3Oracle.out *.c




timeout 30 ./cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a  -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword -o test4.out *.c
timeout 30 /usr/bin/cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword -o test4Oracle.out *.c



timeout 30 ./cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation -o test5.out *.c
timeout 30 /usr/bin/cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation -o test5Oracle.out *.c



timeout 30 ./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --tree -o  test6.out *.c 
timeout 30 /usr/bin/cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --tree -o test6Oracle.out *.c 



timeout 30 ./cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names -o test7.out *.c
timeout 30 /usr/bin/cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names -o test7Oracle.out *.c



timeout 30 ./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments -o test8.out *.c
timeout 30 /usr/bin/cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments -o test8Oracle.out *.c



timeout 30 ./cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n -o test9.out *.c
timeout 30 /usr/bin/cflow --xref --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n -o test9Oracle.out *.c



timeout 30 ./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -o test10.out *.c
timeout 30 /usr/bin/cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -o test10Oracle.out *.c



timeout 30 ./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b -o test11.out *.c
timeout 30 /usr/bin/cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b -o test11Oracle.out *.c



timeout 30 ./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i s -a -b -o test12.out *.c
timeout 30 /usr/bin/cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i s -a -b -o test12Oracle.out *.c



timeout 30 ./cflow --help > test13.out
timeout 30 /usr/bin/cflow --help > test13Oracle.out 



timeout 30 ./cflow  --level-indent 2 --debug=10 --emacs --format=gnu --depth=3 -a -b -o  test14.out *.c
timeout 30 /usr/bin/cflow --level-indent 2 --debug=10 --emacs --format=gnu --depth=3 -a -b -o  test14Oracle.out *.c



timeout 30 ./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -a -b -o test15.out *.c
timeout 30 /usr/bin/cflow --level-indent 2 --debug=10 --format=posix --depth=3 -a -b -o test15Oracle.out *.c



timeout 30 ./cflow --usage > test16.out
timeout 30 /usr/bin/cflow --usage > test16Oracle.out



timeout 30 ./cflow -o test17.out *.c
timeout 30 /usr/bin/cflow -o test17Oracle.out *.c



timeout 30 ./cflow -o test18.out Empty.c
timeout 30 /usr/bin/cflow -o test18Oracle.out Empty.c



timeout 30 ./cflow -o test19.out JustOneLine.c
timeout 30 /usr/bin/cflow -o test19Oracle.out JustOneLine.c


for i in {0..19}
do		
	if diff test$i.out test${i}Oracle.out >/dev/null ; then
  		echo -e "TEST CASE: "  test$i.out "PASSED" >> regressionLogs.out
	else
  		echo -e "TEST CASE: "  test$i.out "FAILED" >> regressionLogs.out
	fi
done

mv regressionLogs.out ../../../TestSuites/ResultsAugmentedRegression.out
