#!/bin/bash

ulimit -s unlimited



if [ "$1" == "no" ]; then
	echo " "
else
	./check.sh
	OUT=$?

	if [ $OUT -eq 1 ];then
   		echo "All dependencies are installed! We haven't check your hard drive type. If you are not using SSD, then the timing results may be affected. The experiment will run now..."
	else
   		echo "You are missing some dependendencies! Results may be affected."
   		read -p "Do you still want to continue? (y/n)?"
   		if [ $REPLY == "n" ]; then
			echo "Exiting..."
		exit 1
   		fi
	fi
fi


rm -r -f Host_BENEFICIARY
cd Experiment
cd Cflow-IDCT_Transplant
rm -r -f Host_BENEFICIARY TEMP-* TransplantCode-* Temp/*
cd ..


./gentrans --seeds_file Cflow-IDCT_Transplant/seed-1.in --compiler_options Cflow-IDCT_Transplant/CFLAGS --host_target Cflow-IDCT_Transplant/Host/cflow-1.4/src/output.c --donor_target Cflow-IDCT_Transplant/Donor/dct.c --donor_folder Cflow-IDCT_Transplant/Donor/ --workspace Cflow-IDCT_Transplant/ --core_function idct  --host_project Cflow-IDCT_Transplant/Host

cd Cflow-IDCT_Transplant
cp -r -f Host_BENEFICIARY ../../
rm -r -f Host_BENEFICIARY TEMP-* TransplantCode-* Temp/*
cd ../../


# Run test suites
./runTestSuites.sh
