#include "InterfaceHeader.h"
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <check.h>

/*
 * 
 */

START_TEST(test_1) {

    //result: 45 39 -104 61 7 -44 42 -20 45 -85
    short resultArray[10] = {45, 39, -104, 62, 6, -43, 42, -20, 45, -86};
    int length = 10;
    int myArray[10] = { 3, 45, 1, 67, 8, 98, 12, -12, -133, 0 };
    FILE *fout = NULL;
    FILE *fin = NULL;
    short * TransplantResult = GRAFT_INTERFACE(length, myArray, NULL, -1, -1, -1, -1, NULL, NULL);
 
    //new line for not messing out the output of check
    printf("\n\n");

    int i;
    for(i = 0; i < 10; i++){
        if(TransplantResult [i] != resultArray[i]){
            ck_abort();
        }
    }
}
END_TEST


START_TEST(test_2) {

    //result: 45 39 -104 61 7 -44 42 -20 45 -85
    short resultArray[11] = {311, -832, 701, -151, -517, 844, -486, -115, 629, -719, 308};
    int length = 11;
    int myArray[11] = { {43, 23,1 ,46, 75, 23, 0, 87, 1902, 90, 17} };
    FILE *fout = NULL;
    FILE *fin = NULL;
    short * TransplantResult = GRAFT_INTERFACE(length, myArray, NULL, -1, -1, -1, -1, NULL, NULL);
 
    //new line for not messing out the output of check
    printf("\n\n");

    int i;
    for(i = 0; i < 11; i++){
        if(TransplantResult [i] != resultArray[i]){
            ck_abort();
        }
    }
}
END_TEST


START_TEST(test_3) {

    //result: 45 39 -104 61 7 -44 42 -20 45 -85
    short resultArray[20] = {3192, -7083, 1701, 8387, -15137, 15290, -15521, 13708, -13155, 10261, -6099, 9045, -15090, 19868, -17752, 9953, -2124, -710, 151, 54};
    int length = 20;
    int myArray[20] = {82, -122, 3, 994, 901, 21, -763, 0, 443, 20, 11, 303, 9556, 2560, 2332, 21134, 92, -43, -434, -43839};
    FILE *fout = NULL;
    FILE *fin = NULL;
    short * TransplantResult = GRAFT_INTERFACE(length, myArray, NULL, -1, -1, -1, -1, NULL, NULL);
 
    //new line for not messing out the output of check
    printf("\n\n");

    int i;
    for(i = 0; i < 20; i++){
        if(TransplantResult [i] != resultArray[i]){
            ck_abort();
        }
    }
}
END_TEST

Suite *
money_suite(void) {
    Suite *s = suite_create("GenTransSuite");
    /* Core test case */
    TCase *tc_core = tcase_create("Core");
    tcase_set_timeout(tc_core, 1);
    tcase_add_test(tc_core, test_1);
    //tcase_add_test(tc_core, test_2);
    //tcase_add_test(tc_core, test_3);
    suite_add_tcase(s, tc_core);
    return s;
}


int main(int argc, char** argv) {
    int number_failed;
    Suite *s = money_suite();
    SRunner *sr = srunner_create(s);
    srunner_run_all(sr, CK_SILENT);

    printf("\n\n");

    srunner_print(sr, CK_NORMAL);

    number_failed = srunner_ntests_failed(sr);
    srunner_free(sr);
    return (number_failed == 0) ? EXIT_SUCCESS : EXIT_FAILURE;
    //  return (EXIT_SUCCESS);
}




/*
int main () {
   
    FILE *fin = fopen ("/home/alex/NetBeansProjects/HostExample/input.in", "r");
    FILE *fout = fopen ("output.out", "w");
    
    int *arrayC;
    int length;
    fscanf (fin, "%d", & length);
    arrayC = (int *) malloc ((length + 1) * sizeof (int));
    int i;
    for (i = 0; i < length; i++) {
        fscanf (fin, "%d", & arrayC [i]);
    }
    for (i = 0; i < length; i++) {
        fprintf (fout, "%d ", arrayC [i]);
    }
    
    
    
    //result: 45 39 -104 61 7 -44 42 -20 45 -85
    int length = 10;
    int myArray[10] = { 3, 45, 1, 67, 8, 98, 12, -12, -133, 0 };
    
    
    short *TRANSPLANT_RESULT;
    TRANSPLANT_RESULT = GRAFT_INTERFACE (length, myArray, NULL, NULL);
    return (EXIT_SUCCESS);
}
*/
