#!/bin/bash

cd ../Host_BENEFICIARY/cflow-1.4/src


./cflow -o acceptance1.out -T argcv.c

./cflow -o acceptance2.out -T Empty.c

./cflow -o acceptance3.out -T JustOneLine.c

#./cflow  --level-indent 2 -o acceptance4.out --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree --verbose *.c

#./cflow  -o acceptance5.out --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree  *.c

#./cflow  -o acceptance6.out --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --tree *.c

#./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -a -b -o acceptance6.out *.c

#./cflow --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b -o acceptance7.out *.c

#./cflow  --level-indent 2 --debug=10 --format=posix --depth=3 -i _ -i s -i t -i x -a -b  --main=main -n --omit-arguments --omit-symbol-names --pushdown=10 --use-indentation --symbol=main:keyword --print-level --tree -o acceptance8.out *.c

#./cflow  -a -b -o acceptance9.out --tree *.c


for i in {1..3}
do		
	if diff acceptance$i.outIDCT acceptance${i}.outIDCT_oracle >/dev/null ; then
  		echo -e "TEST CASE: "  test$i.out "PASSED" >> acceptanceLogs.out
	else
  		echo -e "TEST CASE: "  test$i.out "FAILED" >> acceptanceLogs.out
	fi
done


mv acceptanceLogs.out ../../../TestSuites/ResultsAcceptanceTestSuite.out
